<?php
 
// Author: oxana.smirnova@quark.lu.se

// MDS attribute lists - to make LDAP dumps human-readable

// Generic MDS attributes (non-browsable):

$mdsattr = array(
"objectClass"                          => "objectClass",
"Mds-validfrom"                        => "Info valid from (GMT)",
"Mds-validto"                          => "Info valid to (GMT)"
);

// VO-specific attributes (browsable):

$isattr = array(
"nordugrid-cluster-aliasname"          => "Cluster alias",
"nordugrid-cluster-architecture"       => "Architecture",
"nordugrid-cluster-contactstring"      => "Contact string",
"nordugrid-cluster-owner"              => "Owner",
"nordugrid-cluster-location"           => "Postal code",
"nordugrid-cluster-issuerca"           => "Certificate issuer",
"nordugrid-cluster-cpudistribution"    => "CPU:machines",
"nordugrid-cluster-gridarea"           => "Session directories area",
"nordugrid-cluster-gridspace"          => "Unallocated disk space (MB)",
"nordugrid-cluster-homogeneity"        => "Homogeneous cluster",
"nordugrid-cluster-localse"            => "Local Storage Element",
"nordugrid-cluster-lrms-config"        => "LRMS details",
"nordugrid-cluster-lrms-type"          => "LRMS type",
"nordugrid-cluster-lrms-version"       => "LRMS version",
"nordugrid-cluster-name"               => "Front-end domain name",
"nordugrid-cluster-nodecpu"            => "CPU type (slowest)",
"nordugrid-cluster-nodememory"         => "Memory (MB, smallest)",
"nordugrid-cluster-opsys"              => "Operating system",
"nordugrid-cluster-opsysdistribution"  => "OS distribution",
"nordugrid-cluster-runtimeenvironment" => "Runtime environment",
"nordugrid-cluster-sessiondir-free"    => "Available disk space (MB)",
"nordugrid-cluster-sessiondir-total"   => "Total disk space (MB)",
"nordugrid-cluster-cache-free"         => "Available cache size (MB)",
"nordugrid-cluster-cache-total"        => "Total cache size (MB)",
"nordugrid-cluster-middleware"         => "Grid middleware",
"nordugrid-cluster-support"            => "E-mail contact",
"nordugrid-cluster-totalcpus"          => "Total CPUs",
"nordugrid-cluster-usedcpus"           => "Occupied CPUs",
"nordugrid-cluster-totaljobs"          => "Total amount of jobs",
"nordugrid-cluster-queuedjobs"         => "Queued jobs",
"nordugrid-cluster-runningjobs"        => "Running jobs",
"nordugrid-queue-assignedcpunumber"    => "Processors per queue",
"nordugrid-queue-assignedcputype"      => "CPU type",
"nordugrid-queue-defaultcputime"       => "Default CPU time (min)",
"nordugrid-queue-maxcputime"           => "Max. CPU time (min)",
"nordugrid-queue-maxqueuable"          => "Max. queuable jobs",
"nordugrid-queue-maxrunning"           => "Max. running jobs",
"nordugrid-queue-maxuserrun"           => "Max. jobs per Unix user",
"nordugrid-queue-mincputime"           => "Min. CPU time (min)",
"nordugrid-queue-name"                 => "Queue name",
"nordugrid-queue-queued"               => "Queued jobs",
"nordugrid-queue-running"              => "Running jobs",
"nordugrid-queue-gridqueued"           => "Queued Grid jobs",
"nordugrid-queue-gridrunning"          => "Running Grid jobs",
"nordugrid-queue-schedulingpolicy"     => "Scheduling policy",
"nordugrid-queue-status"               => "Queue status",
"nordugrid-queue-totalcpus"            => "Total CPUs",
"nordugrid-queue-nodecpu"              => "CPU type",
"nordugrid-queue-nodememory"           => "Memory (MB)",
"nordugrid-queue-architecture"         => "Architecture",
"nordugrid-queue-opsys"                => "Operating system",
"nordugrid-job-lrmscomment"            => "LRMS comment",
"nordugrid-job-errors"                 => "Errors",
"nordugrid-job-execcluster"            => "Execution cluster",
"nordugrid-job-execqueue"              => "Execution queue",
"nordugrid-job-globalid"               => "ID",
"nordugrid-job-globalowner"            => "Owner",
"nordugrid-job-jobname"                => "Name",
"nordugrid-job-queuerank"              => "Rank",
"nordugrid-job-reqcput"                => "Requested CPU time",
"nordugrid-job-sessiondirerasetime"    => "Erase time (GMT)",
"nordugrid-job-status"                 => "Status",
"nordugrid-job-stderr"                 => "Standard error file",
"nordugrid-job-stdin"                  => "Standard input file",
"nordugrid-job-stdout"                 => "Standard output file",
"nordugrid-job-submissiontime"         => "Submission time (GMT)",
"nordugrid-job-submissionui"           => "Submission machine",
"nordugrid-job-usedcputime"            => "Used CPU time",
"nordugrid-job-usedmem"                => "Used memory (KB)",
"nordugrid-job-usedwalltime"           => "Used wall time",
"nordugrid-job-runtimeenvironment"     => "Runtime environment",
"nordugrid-job-cpucount"               => "Requested CPUs",
"nordugrid-job-executionnodes"         => "Execution nodes",
"nordugrid-job-gridlog"                => "GM log file",
"nordugrid-job-gmlog"                  => "GM log file",
"nordugrid-authuser-diskspace"         => "Free disk space",
"nordugrid-authuser-freecpus"          => "Free CPUs",
"nordugrid-authuser-name"              => "Name",
"nordugrid-authuser-queuelength"       => "Experienced queue length",
"nordugrid-authuser-sn"                => "Subject Name",
"nordugrid-se-aliasname"               => "Storage element alias",
"nordugrid-se-authuser"                => "Authorised user (DN)",
"nordugrid-se-baseurl"                 => "Contact URL",
"nordugrid-se-freespace"               => "Free space (MB)",
"nordugrid-se-name"                    => "Domain name",
"nordugrid-se-type"                    => "Storage element type",
"nordugrid-se-location"                => "Postal code",
"nordugrid-se-owner"                   => "Owner",
"nordugrid-se-issuerca"                => "Certificate issuer",
"nordugrid-rc-aliasname"               => "Replica Catalog alias",
"nordugrid-rc-authuser"                => "Authorised user (DN)",
"nordugrid-rc-baseurl"                 => "Contact URL",
"nordugrid-rc-name"                    => "Domain name",
"nordugrid-rc-location"                => "Postal code",
"nordugrid-rc-owner"                   => "Owner",
"nordugrid-rc-issuerca"                => "Certificate issuer"
);

?>
